camera {location <0,6,-27> look_at 0 right 3/2*x angle 43}
light_source{<-15000,15000,-1000>,<1,0.93,0.85>*7 }

// erde ...
  #declare Erde = 
  texture {
    pigment { colour rgb <0.15,0.135,0.1> }}
  texture {
    pigment { granite color_map {
        [0.00 color rgb <0.945, 0.863, 0.396+0.15>/4]
        [0.11 color rgbf<0.953, 0.678, 0.404+0.15, 0.086*4>/4]
        [0.24 color rgbf<0.886, 0.651, 0.157+0.15, 0.329*4>/4]
        [0.49 color rgb <0.910, 0.588, 0.220+0.15>/4]
        [0.78 color rgbf<0.933, 0.784, 0.627, 0.196*4>/4]
        [1.00 color rgbf<1.000, 1.000, 1.000, 0.996*4>/4]}}}
  texture {
    pigment { granite turbulence 0.49 color_map {
        [0.00 color rgbf<0.549, 0.369, 0.024+0.15, 0.388*4>/4]
        [0.20 color rgb <0.961, 0.773, 0.341+0.15>/4]
        [0.52 color rgbf<0.655, 0.365, 0.086+0.15, 0.098*4>/4]
        [0.75 color rgbf<0.918, 0.647, 0.349+0.15, 0.369*4>/4]
        [1.00 color rgbf<0.439, 0.275, 0.027+0.15, 0.729*4>/4]}
      scale <2.0, 2.0, 2.0>/4}}                              



// baum

#include "Leaf.inc"

#declare MyLeaf = object { Leaf scale 30 * 0.65 }

#include "baum_neu.inc"

object
{
    ABoP60d
    scale 0.005
    translate <4,0,-11>
}

// wasser ...				
#declare watermat=      
  material {     
    texture {
      pigment { rgbt <0.2+0.02, 0.22, 0.21-0.13, 0.8*1.5>/1.5 } 
      finish { reflection { 0.0, 1.0 fresnel on } ambient 0.0 diffuse 0.01 specular 1.35 roughness 0.06  conserve_energy metallic 0.5 }}   
    interior { ior 1.43 fade_distance 0.03 fade_power 1001 fade_color <0.6+0.1, 0.8, 0.2>*0.7}}        
 
// hintergrund ...
height_field{ png "hfback5.png" smooth         
        translate <-1,-1,-1>/2
        scale <34.4,-0.32/3,34.4>*3
        translate <0,-0.17, 68.8>
        texture {Erde}
        normal{granite}
        finish{phong .5 crand .5 ambient .05 diffuse .7}
}

height_field{ png "water-hf2.png" smooth          
        translate <-1,-1,-1>/2
        scale <34.4,0.016/3,34.4>*3
	translate <0,0, 68.8>
        material {watermat}
}
